Mailing List Archive

r1428 - trunk/varnish-cache/debian
Author: ssm
Date: 2007-05-16 12:53:30 +0200 (Wed, 16 May 2007)
New Revision: 1428

Added:
trunk/varnish-cache/debian/varnish.postrm
Removed:
trunk/varnish-cache/debian/postrm
Log:
fix upgrade issue in postrm script, and rename it to <package>.postrm to match other debian control files

Deleted: trunk/varnish-cache/debian/postrm
===================================================================
--- trunk/varnish-cache/debian/postrm 2007-05-16 10:52:15 UTC (rev 1427)
+++ trunk/varnish-cache/debian/postrm 2007-05-16 10:53:30 UTC (rev 1428)
@@ -1,44 +0,0 @@
-#! /bin/sh -e
-
-set -e
-
-case "$1" in
- remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
-
- if test -e /var/log/varnish && ! [ "$1" = upgrade ]; then
-
- rm -rf /var/log/varnish 2>&1 > /dev/null || exit 78
-
- fi
-
- if test -e /var/lib/varnish; then
-
- rm -rf /var/lib/varnish 2>&1 > /dev/null || exit 78
- fi
-
- ;;
-
- purge)
-
- if test -e /var/log/varnish; then
-
- rm -rf /var/log/varnish 2>&1 > /dev/null || exit 78
-
- fi
-
- if test -e /var/lib/varnish; then
-
- rm -rf /var/lib/varnish 2>&1 > /dev/null || exit 78
- fi
-
- ;;
-
- *)
- echo "postrm called with unknown argument \`$1'" >&2
- exit 64
-
-esac
-
-#DEBHELPER#
-
-exit 0

Copied: trunk/varnish-cache/debian/varnish.postrm (from rev 1424, trunk/varnish-cache/debian/postrm)
===================================================================
--- trunk/varnish-cache/debian/postrm 2007-05-15 19:38:56 UTC (rev 1424)
+++ trunk/varnish-cache/debian/varnish.postrm 2007-05-16 10:53:30 UTC (rev 1428)
@@ -0,0 +1,47 @@
+#! /bin/sh -e
+
+set -e
+
+case "$1" in
+ upgrade)
+ ;;
+
+ remove|failed-upgrade|abort-install|abort-upgrade|disappear)
+
+ if test -e /var/log/varnish ; then
+
+ rm -rf /var/log/varnish 2>&1 > /dev/null || exit 78
+
+ fi
+
+ if test -e /var/lib/varnish; then
+
+ rm -rf /var/lib/varnish 2>&1 > /dev/null || exit 78
+ fi
+
+ ;;
+
+ purge)
+
+ if test -e /var/log/varnish; then
+
+ rm -rf /var/log/varnish 2>&1 > /dev/null || exit 78
+
+ fi
+
+ if test -e /var/lib/varnish; then
+
+ rm -rf /var/lib/varnish 2>&1 > /dev/null || exit 78
+ fi
+
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 64
+
+esac
+
+#DEBHELPER#
+
+exit 0